Synaptic locks up during use

Bug #1178024 reported by bmeakings on 2013-05-08
190
This bug affects 38 people
Affects Status Importance Assigned to Milestone
synaptic (Ubuntu)
Undecided
Unassigned

Bug Description

The program becomes completely unresponsive. If I minimise and then restore the window it will be blank.

The only way out is to click the X window button and choosing Yes when asked if I want to force-quit. But after doing so I cannot run Synaptic again, nothing happens, even after logging out and back in.

I haven't found a pattern to trigger the lock-up. Sometimes it happens when using the quick search or just selecting packages. Sometimes if I'm quick and/or lucky I can do what I need without issue before it decides to freeze.

I have a laptop (same OS version except it's 32-bit) where I also have the same problem.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: synaptic 0.80~exp2
ProcVersionSignature: Ubuntu 3.8.0-19.30-generic 3.8.8
Uname: Linux 3.8.0-19-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
Date: Thu May 9 00:09:49 2013
MarkForUpload: True
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: synaptic
UpgradeStatus: Upgraded to raring on 2013-05-03 (5 days ago)

bmeakings (b-meakings) wrote :
Pete (pleech-netspace) wrote :

Hi I have the same problem pretty much as described here. Sometimes you may be able to install a package before it freezes and some times it freezes while searching.

I am running Ubuntu 13.04 x86_64 with Mate Desktop 1.6.0.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in synaptic (Ubuntu):
status: New → Confirmed
kmb42vt (tbeposts) wrote :

The reports of Synaptic 0.80~exp2 freezing seem to be consistent for Ubuntu Raring and Linux Mint 15 RC although it appears that not all users are experiencing the freeze. What is not consistent is the reason for the freeze although there is more than one report stating that the the searching for and/or installing packages causes Synaptic to freeze hard. A couple other reports state that the freeze occurs when scrolling through search results using the keyboard arrow keys but not with a touch pad or mouse scroll wheel. This is what causes the freeze for me and I can duplicate it successfully.

Starting Synaptic (successfully) from the terminal using the command "gksu synaptic", doing a "Quick search" and scrolling back and forth through the search results using the arrow keys freezes Synaptic hard and gives me this in the terminal repeatedly (repeats about every second or two):

"widget == NULL with: label_source"

I have to forcibly quit Synaptic but this does not return the command prompt to the terminal which keeps repeating "widget == NULL with: label_source". I have to CTRL+C to return the terminal to the command prompt. If I try restart to restart Synaptic via the terminal it fails with this:

"Another synaptic is running. Trying to bring it to the foreground"

Yet under "Processes" tab of "System Monitor", no Synaptic process is shown. Entering "sudo killall synaptic" in the terminal apparently kills this wayward synaptic process and I can restart Synaptic successfully. Doing the same Quick search and scrolling through the search results using the scroll wheel of the mouse and the touch pad of my laptop (ThinkPad R61) does not reproduce the freeze while scrolling with the arrow keys does.

The key difference here is that scrolling through the packages with the arrow keys highlights each package in sequence while scrolling with the mouse wheel of touch pad does not.

Hope this info helps.

Mark-pcnetspec (mark-pcnetspec) wrote :

Can I add to that, that when I start synaptic with "sudo synaptic" it doesn't freeze, or spam the terminal .. for me it only freezes if started with:-
gksudo synaptic
gksu synaptic
synaptic-pkexec

Downgrading Synaptic to synaptic_0.75.12build1 from 12.10 also fixes the freezes

Kay Parker (kayparker) wrote :

synaptic freeze confirmed.

viking777 (viking-f2s) wrote :

I have the same problem with Synaptic on Mint15 Cinnamon. It occurs however I start Synaptic, even through the terminal, and the exact time of the freeze is completely random, sometimes a few minutes, sometimes after just one click.

viking777 (viking-f2s) wrote :

Correction to the above.

If you start it with "synaptic &" then it freezes. If you start it with "synaptic" , leaving the terminal open, then it doesn't freeze.

Monsta (monsta-mint) wrote :

Couldn't manage to freeze it when running in non-administrative mode, no matter if it's "synaptic" or "synaptic &". It freezes only when run via gksu and only if you scroll with the arrow keys instead of mouse (just as kmb42vt reported).

Also, no usual GTK warnings are printed in the console until you decide to kill the frozen app and run "sudo kill synaptic". After the process is killed, the console is spammed with these warnings instantly. That does not happen in non-administrative mode: warnings are emitted on every scroll you do (and possibly on some other actions).

Monsta (monsta-mint) wrote :

For the sake of completeness, the bug about these warnings is here: https://bugs.launchpad.net/ubuntu/+source/synaptic/+bug/1135687

Monsta (monsta-mint) wrote :

Guys, if anyone here uses Kubuntu 13.04 or Mint 15 KDE, please try it there with kdesudo instead of gksu.

I couldn't get it to freeze. I don't know if it affects something, but kdesudo spits all the messages sent to stderr right away, while gksu holds them all somewhere and will unload them all at once when the process exits.

Rudi Winter (ruw-aber) wrote :

I've got the same issue while installing Linux Mint 15 Mate 64bit version on a new Asus s200e laptop with an Intel i3-3217u processor (have been using an earlier version on another laptop previously), so I've been using synaptic quite a lot over the past 24 hours...

It fails consistently within a few minutes of operation when called via gksudo. I don't think keyboard activity has anything to do with it - I've even put the keyboard out of reach to be sure I wasn't fiddling with any arrow keys subconsciously.

On the other hand, I haven't had a single failure when calling it from a rooted terminal, with or without an ampersand.

kenn (nnek) wrote :

Today I met that damn bug. After hours of struggling I downgraded to "synaptic_0.75.12build1_i386.deb". I found the deb here: http://ftp.acc.umu.se/ubuntu/ubuntu/pool/universe/s/synaptic/#
I don't know what I did wrong today. I installed some packages prior to appearing bug. I removed all of them with no success. Installed packages were "libhunspell-dev libpython3-all-dev libpython3-dev libpython3.3-dev python3-all python3-all-dev python3-dev python3-distutils-extra python3.3-dev quilt gnome-icon-theme-extras python-iniparse tortoisehg-nautilus python-qscintilla2 libqscintilla2-9 libsynce0 librapi2 nautilus-script-debug libqscintilla2-translations synce-gnomevfs"
Fortunately synaptic_0.75.12build1_i386.deb works ok.

bmeakings (b-meakings) wrote :

Thanks for posting the link, I've been trying to find an older version but kept coming into dead ends. At least this should tide us over until it's fixed.

AlfyBoy (alfonsociologo) wrote :

Thanks kenn (nnek), this bug was driving me crazy!!

Monsta (monsta-mint) wrote :

Can you try using this: https://bugs.launchpad.net/ubuntu/+source/synaptic/+bug/1135687/comments/6
and then test if the freezes still happen?

Note: do it as root. Then run synaptic via gksu.

cne007 (lepelerin2002) wrote :

Seems to work fine for me now. I am running Mint 15 in VBox. No synaptic freeze anymore (Synaptic 0.80~exp2raring1).
I am running M15 fully updated.

Monsta (monsta-mint) wrote :

That's good to hear; need more testers though.
I also filed a related bug as I think the real problem is with gksu, not synaptic: https://bugs.launchpad.net/ubuntu/+source/libgksu/+bug/1216045

I wish any of the maintainers at least left a reply.

kenn (nnek) wrote :

It didn't work in my case, I tried it a few times.

kenn (nnek) wrote :

no fix yet?

Salim (sboulkour) wrote :

Hi everyone,

I had the problem in 13.04, and the upgrade to 13.10 didn't change anything.
If this helps, Synaptic tend to freeze faster if the number of package I select gets bigger.

david2008uk (gdk2008uk) wrote :

Same thing happens on my machine and I am running Linux Mint 15 (Olivia) as I was just trying to install the canvas libs and would freeze up and the only way to get out is to force quit.
would it not be possible to get around the lockups by actually compiling the program into an EXE which has Root privledges. or supply the sourcecode which could be downloaded and then compiled by the user.

Wolf480pl (wolf480) wrote :

david2008uk, just use 'sudo synaptic' in a terminal to launch synaptic instead.

You could set the setuid bit on the synaptic executable so that it always runs as root, but you should NOT do this because this way you're creating a security vurnerability (everyone would be able to install anything).

It's better to just use regular sudo instead of gksu to launch synaptic. Also, you can create a launcher on your desktop with the 'sudo synaptic' command, for the ease of use.

Ansgar Bohmann (aldi) wrote :

Same problem here in Saucy Salamander with Unity. I have two computers (one laptop, one desktop) both showing the same behavior.

Thanks for all the suggestions for workarounds. So far I've always called synaptic from a terminal window (with a bash) via "gksudo synaptic &". I'm going to try out sudo instead of gksudo and also without the &. If I come to any conclusion I'll let you know.

I still hope that it gets fixed soon (regardless whether it's a problem with synaptic or gksu).

Monsta (monsta-mint) wrote :

Can anyone using Trusty confirm whether this bug is still present or not?

I'm now using LM16 Petra MATE 64 bit version and the problem seems to have
disappeared!

Anandesh

StraightBanana
http://wp.me/2KFd2

Get the Dropbox cloud, free!
http://db.tt/C3C4m4F

MediaFire 50GB FREE!
http://mfi.re/?tw7m1gw

On Thu, Jan 30, 2014 at 9:32 PM, Monsta <email address hidden> wrote:

> Can anyone using Trusty confirm whether this bug is still present or
> not?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1187289).
> https://bugs.launchpad.net/bugs/1178024
>
> Title:
> Synaptic locks up during use
>
> Status in "synaptic" package in Ubuntu:
> Confirmed
>
> Bug description:
> The program becomes completely unresponsive. If I minimise and then
> restore the window it will be blank.
>
> The only way out is to click the X window button and choosing Yes when
> asked if I want to force-quit. But after doing so I cannot run
> Synaptic again, nothing happens, even after logging out and back in.
>
> I haven't found a pattern to trigger the lock-up. Sometimes it happens
> when using the quick search or just selecting packages. Sometimes if
> I'm quick and/or lucky I can do what I need without issue before it
> decides to freeze.
>
> I have a laptop (same OS version except it's 32-bit) where I also have
> the same problem.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: synaptic 0.80~exp2
> ProcVersionSignature: Ubuntu 3.8.0-19.30-generic 3.8.8
> Uname: Linux 3.8.0-19-generic x86_64
> NonfreeKernelModules: fglrx
> ApportVersion: 2.9.2-0ubuntu8
> Architecture: amd64
> Date: Thu May 9 00:09:49 2013
> MarkForUpload: True
> ProcEnviron:
> LANGUAGE=en_GB:en
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> SourcePackage: synaptic
> UpgradeStatus: Upgraded to raring on 2013-05-03 (5 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/synaptic/+bug/1178024/+subscriptions
>

Monsta (monsta-mint) wrote :

Mint 16 uses an older version of Synaptic - 0.75.12build1 - because of this very bug. After I've reported this bug and some other ones to Clem (during RC testing), he made the decision to downgrade Synaptic to avoid the bugs. So, of course the problem has disappeared because that version is not affected at all.

Monsta (monsta-mint) wrote :

So can anyone using Ubuntu 14.04 confirm whether this is fixed or not?

slumbergod (slumbergod) wrote :

I installed synaptic on Xubuntu Trusty then used it to install cups-pdf. It has frozen for ages on this line:
Setting up cups-pdf (2.6.1-9) ...

slumbergod (slumbergod) wrote :

let me add to my last comment. It eventually finished after about 10 minutes...just as I was about to kill synaptic and try to repair the damage.

kenn (nnek) wrote :

Today I wanted to try latest version of synaptic in saucy repo hoping that it would work after latest updates but it failed me again. I still use synaptic 0.75.12build1 version. I like synaptic but that bug is really annoying. I wonder if that bug affects certain architecture, hardware or distro? I ll try to grab source code of synaptic that runs smoothly.

Michael Vogt (mvo) wrote :

@slumbergod: does the long wait happen for all packages that you install? or was cups-pdf special in some way?

@kenn: do you know a pattern that makes synaptic freeze? i.e. is there a way to reproduce this bug?

Nazar Mokrynskyi (nazar-pc) wrote :

Freezes on Ubuntu 14.10 too, started on 14.04 around March.

kenn (nnek) wrote :

@Michael Vogt; in my case it freezes whenever I open synaptic, if I wait for 15 minutes or so it responds but it hangs again on nex opening.

Monsta (monsta-mint) wrote :

So it happens even in 14.10? Interesting. I can't reproduce it neither in 14.04 nor in 14.10.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers